AdvertisersCreate Advertiser

Create Advertiser

Create a new advertiser in a project.

curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/advertisers" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "publisher_id": 10042,
  "name": "Acme Corp",
  "contact_name": "Jane Smith",
  "contact_email": "jane@acmecorp.com"
}'
{
  "result": "success",
  "advertiser": {
    "id": "adv_8f2a",
    "publisher_id": "10042",
    "name": "Acme Corp",
    "contact_name": "Jane Smith",
    "contact_email": "jane@acmecorp.com",
    "status": "active",
    "created_at": "2026-01-15T10:30:00Z",
    "metadata": [],
    "updated_at": "2026-01-15T10:30:00Z"
  }
}
POST
/ad-manager/{pid}/advertisers
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

Content-Typestring
Required

The media type of the request body

Options: application/json
publisher_idinteger
Required

Publisher-side identifier for the advertiser.

namestring
Required

Advertiser display name. Required.

Max length: 120
contact_emailstring
Format: email • Pattern: ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101

Body

application/json
publisher_idinteger
Required

Publisher-side identifier for the advertiser.

Example:
10042
namestring
Required

Advertiser display name. Required.

Example:
Acme Corp
contact_namestring
Example:
Jane Smith
contact_emailstring
Example:
jane@acmecorp.com

Responses

resultstring

Operation outcome.

Allowed values:successerror
advertiserstring